exercise_04_25: exercise_04_25.o | .gitignore
	g++ $^ -o $@ 

exercise_04_25.ii: exercise_04_25.cpp
	g++ -E $^ -o $@

exercise_04_25.s: exercise_04_25.ii
	g++ -S $^ -o $@

exercise_04_25.o: exercise_04_25.s
	g++ -c $^ -o $@

.gitignore:
	echo "exercise_04_25" > $@

removes:
	rm exercise_04_25.ii exercise_04_25.s exercise_04_25.o test.out exercise_04_25 .gitignore

test: exercise_04_25 
	./exercise_04_25 < test.in > test.out 
	diff test.out test.expected > /dev/null 2>&1 && echo PASSED || echo FAILED
